Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049643
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[POS2] POSmajorN/A2022-06-23 18:242022-07-05 15:46
Reportergorka_gilView Statuspublic 
Assigned Togorka_gil 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049643: Add invoice this receipt option to pos2

DescriptionCurrently pos2 doesn't have the option to create an invoice in the pos.
It should work similar to pos1, a menu option to create an invoice of the current order.
And also an option to revert to not create the invoice.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0049715 newTriage Platform Base Chips doesn't have opebnravo buttons effects onHover, onFocus etc 
related to defect 0049736 newRetail In some cases the menu of the 3 dots of the ticket ( button bar 2 more button) is not closed after click 

-  Notes
(0138752)
hgbot (developer)
2022-06-24 12:51

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1039 [^]
(0139079)
hgbot (developer)
2022-07-05 12:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/795 [^]
(0139082)
hgbot (developer)
2022-07-05 13:44

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 3c040d990c07d1d57db5345d135b69568b57534c
Author: Gorka Gil <gorka.gil@openbravo.com>
Date: 05-07-2022 13:43:37
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/3c040d990c07d1d57db5345d135b69568b57534c [^]

Fixed ISSUE-49643: Merge branch 'fr/49643-invoice'

---
---
(0139083)
hgbot (developer)
2022-07-05 13:44

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1039 [^]
(0139084)
hgbot (developer)
2022-07-05 13:46

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: fb6c58311b793090d114ecaa58ac27bbc38a3591
Author: Gorka Gil <gorka.gil@openbravo.com>
Date: 05-07-2022 13:45:08
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/fb6c58311b793090d114ecaa58ac27bbc38a3591 [^]

Related to ISSUE-49643: Merge branch 'fr/49643-invoice'

---
M web-jspack/org.openbravo.core2/src/components/BaseMenu/BaseMenu.jsx
---
(0139085)
hgbot (developer)
2022-07-05 13:46

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/795 [^]

- Issue History
Date Modified Username Field Change
2022-06-23 18:24 gorka_gil New Issue
2022-06-23 18:24 gorka_gil Assigned To => Retail
2022-06-23 18:24 gorka_gil Triggers an Emergency Pack => No
2022-06-23 18:24 gorka_gil Assigned To Retail => gorka_gil
2022-06-24 12:51 hgbot Note Added: 0138752
2022-07-04 14:13 gorka_gil Relationship added related to 0049715
2022-07-05 12:11 hgbot Note Added: 0139079
2022-07-05 13:44 hgbot Resolution open => fixed
2022-07-05 13:44 hgbot Status new => closed
2022-07-05 13:44 hgbot Note Added: 0139082
2022-07-05 13:44 hgbot Note Added: 0139083
2022-07-05 13:46 hgbot Note Added: 0139084
2022-07-05 13:46 hgbot Note Added: 0139085
2022-07-05 15:46 gorka_gil Relationship added related to 0049736


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker